#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	dbus-python
Version		:	1.3.2
Release		:	14.8.0.0%{?dist}
Summary		:	D-Bus Python Bindings

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://dbus.freedesktop.org/releases/dbus-python/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	automake
BuildRequires	:	dbus-devel
BuildRequires	:	glib-devel
BuildRequires	:	libtool
BuildRequires	:	python-pep517
BuildRequires	:	python3-libstemmer
BuildRequires	:	python3-sphinx
BuildRequires	:	python3-sphinx_rtd_theme
BuildRequires	:	python-wheel

#-----------------------------------------------------------------------------
%description
D-Bus python bindings for use with python programs

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{python3_sitelib}/_dbus_*.so
%{python3_sitelib}/dbus/__pycache__/*.pyc
%{python3_sitelib}/dbus/*.py*
%{python3_sitelib}/dbus/mainloop/__pycache__/*.pyc
%{python3_sitelib}/dbus/mainloop/*.py
%{python3_sitelib}/dbus_python-%{version}-*.egg-info

#-----------------------------------------------------------------------------
%post
%{_sysconfdir}/rc.d/init.d/dbus condrestart > /dev/null 2>&1 || :

#=============================================================================
%package		devel
Summary		:	Libraries and headers for dbus-python
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Headers and static libraries for hooking up custom
mainloops to the dbus python bindings.

%files			devel
%doc AUTHORS NEWS README
%{_includedir}/dbus-1.0/dbus/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/doc/%{name}-%{version}/objects.inv
%{_datadir}/doc/%{name}-%{version}/*.html
%{_datadir}/doc/%{name}-%{version}/_sources/*.txt
%{_datadir}/doc/%{name}-%{version}/*.js
%{_datadir}/doc/%{name}-%{version}/_static/*.js
%{_datadir}/doc/%{name}-%{version}/_static/*.png
%{_datadir}/doc/%{name}-%{version}/_static/basic.css
%{_datadir}/doc/%{name}-%{version}/_static/pygments.css
%{_datadir}/doc/%{name}-%{version}/_static/js/*.js
%{_datadir}/doc/%{name}-%{version}/_static/css/*.css
%{_datadir}/doc/%{name}-%{version}/_static/css/fonts/*.woff
%{_datadir}/doc/%{name}-%{version}/_static/css/fonts/*.woff2
%{_datadir}/doc/%{name}-%{version}/_static/css/fonts/*.svg
%{_datadir}/doc/%{name}-%{version}/_static/css/fonts/*.ttf
%{_datadir}/doc/%{name}-%{version}/_static/css/fonts/*.eot

#=============================================================================
%prep
%setup -q 
sed -i								\
 -e "s/^language = None/#language = None/"			\
 doc/conf.py

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -vif
%set_build_flags
%py3_build

PYTHON=/usr/bin/python3						\
./configure							\
        --prefix=%{_prefix}					\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static					\
	--enable-documentation					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 							\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%py3_install
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{python3_sitelib}			\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
